Release Notes Version 18.3
Latest information on the Spectera API, including detailed descriptions of new features, breaking changes, upcoming deprecations and known issues.
Version 18.3.0
New Features
- No new features have been added in this version
Improvements
- Command Mode: For command buttons with LED indication (e.g. SKM COM) the color can be customized now for all the available Command Mode states.
- added property
commandColorsat/api/mts/paired/all/{mtUid}to configure the colors for the command button.
- added property
- Level Recording: New flatbuffers schema version 1.1 with a bunch of new properties for extended telemetry functionality and improved versioning and compatibility checks.
- added
schema_versionproperty explicitly to the schema definition - added a bunch of new properties
base_stationandaudio_interfacesrepresent in their sub-properties the current states and configuration of the base station and audio interfaces at the time of the level recording
- extended the
mic_linkproperty withcommand_statefor Command Mode representation - extended the
seksandskmsproperty array withcommand_behaviorfor Command Mode representation - Please refer to the updated schema definition file for the complete list of new properties and their description.
- added
- Audio Links: The request body for the POST request to
/api/audio/linkshas been extended by the new propertylinkedMtto allow the atomic creation of audio links and assignment to an existing Mobile Device in one request. This ensures that Audio Links are always in use by a Mobile Device and allows for improved garbage collection of orphaned Audio Links. The new property is optional for being backwards compatible, but will become required in upcoming versions of the API. - RF: Removed the fixed default values from the properties
frequencyandbandwidthModeat/api/rf/channels/{rfChannelId}. The default values are now set by the system based on the license entitlements and the current RF restrictions. Please read the current RF restrictions at/api/rf/restrictionsto find out which frequencies and bandwidths are allowed for your system. - Device: The request body for the GET request to
/api/device/identityhas been extended by the new propertyvariantwith its sub-propertiesarticleNumberandarticleNameto allow clients to differentiate between hardware variants of the Spectera Base Station. - Network: The request body for the GET request to
/api/interfaces/networkhas been extended by some newone-ofoptions representing the new AoIP interface type (Ravenna) for Spectera Base Station ZMAN hardware variant.
CAUTIONClients accessing Spectera Base Station ZMAN hardware variant need to support at least API version 18.3.
Breaking Changes
- No breaking changes have been introduced in this version
Upcoming Deprecations
These functionalities are still available in this version but will be removed in the next major version. Please update your implementation to use the new alternatives as soon as possible to avoid disruptions when upgrading to the next major version.
- Audio Links: The
linkedMtproperty for the POST request to/api/audio/linkswill become required in the next major version of the API. Please ensure that all Audio Links are assigned to a Mobile Device when creating them. - Audio Interfaces + Audio IO: As preparation for upcoming new audio interface the name of the interface
DanteandAudioNetworkwill be replaced with the more generic nameAoIP(Audio over IP). The following endpoints and properties will be replaced by adding new and removing the old ones. The old endpoints and properties are marked as deprecated until they are removed with the next major version:- Audio Interfaces: Endpoints
/api/audio/interface/audionetwork/statusand/api/audio/interface/audionetwork/clock/input/statuswill be replaced by/api/audio/interface/aoip/statusand/api/audio/interface/aoip/clock/input/status - Audio Interfaces: The
outputStatus/clockSourceproperty for the following endpoints will be replaced byoutputStatus/outputClockSource/api/audio/interface/madi1/status/api/audio/interface/madi2/status/api/audio/interface/wordclock/status
- Audio Interfaces: The
clockSourceproperty for the following endpoints will be replaced byoutputClockSource/api/audio/interface/madi1/output/api/audio/interface/madi2/output/api/audio/interface/wordclock/output
- Audio IO: Endpoint
/api/audio/levelswill be replaced by/api/audio/meteringwhile the internal propertiesdanteInanddanteOutwill be replaced byaoIpInandaoIpOutrespectively. - Audio IO: The
sourceproperty for audio inputs/api/audio/inputs/{inputId}will be replaced byinputSource - Audio IO: At the audio outputs
/api/audio/outputs/{outputId}the following properties will be replaced by adding new and deprecating the old ones:commandModeAudioNetworkwill be replaced byaoIpEnableIfCommandIsDisabledandaoIpEnableIfCommandIsEnabledcommandModeMadi1will be replaced bymadi1EnableIfCommandIsDisabledandmadi1EnableIfCommandIsEnabledcommandModeMadi2will be replaced bymadi2EnableIfCommandIsDisabledandmadi2EnableIfCommandIsEnabled
- Firmware Update: The
danteVersionproperty will be replaced byaoIpVersionin the firmware update status endpoint/api/firmware/update/state
- Audio Interfaces: Endpoints
- Mobile Devices + RF: The
ledBrightnessproperty for paired devices at/api/mts/paired/all/{mtUid}and RF antenna configuration at/api/rf/antennaswill be replaced. Please use the newconnectedStateColorproperty for paired devices andledColorsfor RF antenna configuration to set custom LED colors for the device. - SSC: The endpoint
/api/ssc/heartbeatis going to be removed with the next major version of the API. Use/api/device/timeinstead.
Preliminary Features
These functionalities are not fully implemented yet and the behavior may change in future versions of the API even without deprecation announcements.
- Mobile Devices: (Sleep Mode)
sleepproperty for paired devices/api/mts/paired/all/{mtUid} - Level Recording: All endpoints and especially the schema definition for the level recording data structure are still subject to change.
Known Issues
- RF: Although the property
bandwidthModeat/api/rf/channels/{rfChannelId}can be set to the value10000(10 MHz) the system will never enable the RF transmission, since it is not certified yet for operation with 10 MHz bandwidth and all license entitlements will block the usage. Please choose a different bandwidth allowed with your license entitlement. Current RF restrictions can be read at/api/rf/restrictions. - Mobile Devices + Audio IO: There is no dedicated audio mute per Mobile Device nor per Audio I/O available yet. We assume that the audio muting will be done outside the Spectera system e.g. on a mixing console.
